com.microsoft.sqlserver.jdbc

## Interface ISQLServerPreparedStatement42

All Superinterfaces:
  AutoCloseable, ISQLServerPreparedStatement, ISQLServerStatement, PreparedStatement, Statement, Wrapper

All Known Subinterfaces:
  ISQLServerCallableStatement42

All Known Implementing Classes:
  SQLServerCallableStatement42, SQLServerPreparedStatement42

    public interface ISQLServerPreparedStatement42
    extends ISQLServerPreparedStatement

This interface requires all the PreparedStatement methods including those are specific to JDBC 4.2

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setObject(int index, Object obj, SQLType jdbcType)`
`void` `setObject(int parameterIndex, Object x, SQLType targetSqlType, int scaleOrLength)`
`void` `setObject(int parameterIndex, Object x, SQLType targetSqlType, Integer precision, Integer scale)`
`void` `setObject(int parameterIndex, Object x, SQLType targetSqlType, Integer precision, Integer scale, boolean forceEncrypt)`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement

`setDateTimeOffset`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerStatement

`getResponseBuffering, setResponseBuffering`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setObject

    void setObject(int index,
                   Object obj,
                   SQLType jdbcType)
            throws SQLServerException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLServerException`

#### setObject

    void setObject(int parameterIndex,
                   Object x,
                   SQLType targetSqlType,
                   int scaleOrLength)
            throws SQLServerException

Specified by:
  `setObject` in interface `PreparedStatement`
Throws:
  `SQLServerException`

#### setObject

    void setObject(int parameterIndex,
                   Object x,
                   SQLType targetSqlType,
                   Integer precision,
                   Integer scale)
            throws SQLServerException

Throws:
  `SQLServerException`

#### setObject

    void setObject(int parameterIndex,
                   Object x,
                   SQLType targetSqlType,
                   Integer precision,
                   Integer scale,
                   boolean forceEncrypt)
            throws SQLServerException

Throws:
  `SQLServerException`